/**
 * Reception des donnees d'un telemetre a ultrasons simple Interface-Z
 * Receiving data from a Midi ultrasound rangefinder
 */
import rwmidi.*;
// RWMidi se trouve chez http://ruinwesen.com/blog?id=95

MidiInput input;

void setup()
{
  // Affichage des peripheriques Midi disponibles sur l'ordinateur
  // Displaying Midi devices existing on the computer  
  println("........Peripheriques Midi In........");
  println(RWMidi.getInputDevices());

  // Choisir le numero du peripherique, ici [1], dans la liste
  // Choose the appropriate Midi device from the list
  input = RWMidi.getInputDevices()[1].createInput(this);
}

int[] valeur = new int[2]; 
int numero;
int telemetre;

// Reception des donnees du capteur.
// Receiving sensor data.
void controllerChangeReceived(Controller ctlchg) {
  numero = ctlchg.getCC();
  if (numero==2) {
    valeur[0] = ctlchg.getValue();
  }
  if (numero==3) {
    valeur[1] = ctlchg.getValue();
    telemetre = valeur[1] + (valeur[0] << 7);
  }
  println(telemetre);
}
}

void draw()
{
}

